File: 1616.txt

package info (click to toggle)
snort 2.7.0-20.4
  • links: PTS
  • area: main
  • in suites: lenny
  • size: 34,512 kB
  • ctags: 18,772
  • sloc: ansic: 115,404; sh: 10,893; makefile: 1,372; perl: 487; sql: 213
file content (58 lines) | stat: -rw-r--r-- 1,247 bytes parent folder | download | duplicates (6)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
Rule:

--
Sid:
1616

--
Summary:
This event is generated when an attempt is made to query version.bind on your DNS server.

--
Impact:
Reconnaissance. This may indicate which version of BIND the server is running.

--
Detailed Information:
An attacker can query a DNS server for the version of BIND running.  Some versions of BIND, by default, respond to these queries while BIND version 9; by default, does not.  A response to this query can assist an attacker in discovering servers that are potentially vulnerable to exploits associated with specific versions of BIND. 

--
Affected Systems:
All versions of BIND.

--
Attack Scenarios:
An attacker can execute this query to find DNS servers running specific versions of BIND.

--
Ease of Attack:
Simple. Use the Unix command 'dig @ns.com version.bind txt chaos' 

--
False Positives:
None Known

--
False Negatives:
None Known

--
Corrective Action:
Remove the ability to retrieve the version.bind chaos record via configuration options.

--
Contributors:
Sourcefire Research Team
Brian Caswell <bmc@sourcefire.com>
Judy Novak <judy.novak@sourcefire.com>

--
Additional References:

Nessus:
http://cgi.nessus.org/plugins/dump.php3?id=10028

Arachnids::
http://www.whitehats.com/info/IDS278

--